org.eclnt.jsfserver.defaultscreens

## Interface Wizard.IWizardLogicProvider

- Enclosing class:
    Wizard

      public static interface Wizard.IWizardLogicProvider

  Logic that is serving the wizard processing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTION_NEXT`
    `static int` | `DIRECTION_PREVIOUS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Tells that the cancel button was clicked.
    `boolean` | `checkIfGridNavigationIsEnabled()` Grid navigation enabled or not.
    `boolean` | `checkIfNavigationIsPossible(Wizard.IWizardPageInfo fromPage, Wizard.IWizardPageInfo toPage, int directionOfNavigation)` This method is called whenever the user wants to navigate within the wizard - either via the previous-next buttons or via the list of steps on the left.
    `void` | `finish()` Called when the user pressed the finish function.
    `Wizard.IWizardPageInfo[]` | `getWizardPageInfos()` Get the sequence of pages that form the wizard.
    `void` | `prepareNextPage(Wizard.IWizardPageInfo toPage, int directionOfNavigation)` This method is called during navigation from one page to the next.

- - ### Field Detail

    - #### DIRECTION_NEXT

          static final int DIRECTION_NEXT

      See Also:
        Constant Field Values

    - #### DIRECTION_PREVIOUS

          static final int DIRECTION_PREVIOUS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getWizardPageInfos

          Wizard.IWizardPageInfo[] getWizardPageInfos()

      Get the sequence of pages that form the wizard.

    - #### checkIfNavigationIsPossible

          boolean checkIfNavigationIsPossible(Wizard.IWizardPageInfo fromPage,
                                              Wizard.IWizardPageInfo toPage,
                                              int directionOfNavigation)

      This method is called whenever the user wants to navigate within the wizard - either via the previous-next buttons or via the list of steps on the left. Your logic may check if this navigation is allowed at the moment.
      Returns:
        true ==> yes, the navigation can be executed, false ==> no, the navigation is not possible

    - #### prepareNextPage

          void prepareNextPage(Wizard.IWizardPageInfo toPage,
                               int directionOfNavigation)

      This method is called during navigation from one page to the next. The logic can react accordingly and pass data to the page that's going to be opened by the wizard.
      WIthin a wizard navigation this method is always called AFTER the method checkIfNavigationIsPossible().
      Parameters:
        `directionOfNavigation` - 0 ==> next, 1 <== previous

    - #### finish

          void finish()

      Called when the user pressed the finish function.

    - #### cancel

          void cancel()

      Tells that the cancel button was clicked. Your logic needs to react accordingly, e.g. it may close the popup in which the wizard was opened.

    - #### checkIfGridNavigationIsEnabled

          boolean checkIfGridNavigationIsEnabled()

      Grid navigation enabled or not. If false then only navigation through next, previous buttons.

Copyright © CaptainCasa Gmbh. All Rights Reserved.